Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

old version of firefox(2.0.0.5) is starting not the new one(3.6) after install

more options

I have an old linux (slackware based) kernel 2.6.2.15 ive tried to install firefox 3.6 ,over firefox 2.0.0.5 but the new installation is not starting,is starting the old one ,what I need to do? to start the new firefox.?

thank you!

All Replies (1)

more options

Does that OS meet System Requirements for Firefox 3.6? http://www.mozilla.com/en-US/firefox/system-requirements.html